Skip to content
Barkend
Search
Ctrl
K
Auto
Light
Dark
Get started
Guides
API Reference
X-ray
Get started
HTTP
HTTP
HTTP
TypeScript
TypeScript
Go
Go
Guides
API Reference
X-ray
Overview
Pets
Create
List
Retrieve
Delete
API Reference
Copy Markdown
Open in
Claude
Open in
ChatGPT
Open in
Cursor
Copy Markdown
View as Markdown
Pets
Add a new pet to the store.
POST
/pets
List all pets.
GET
/pets
Find pet by ID.
GET
/pets/{petId}
Deletes a pet.
DELETE
/pets/{petId}
Models
Expand
Collapse
Category
=
object
{
id
,
name
}
id
:
optional
number
format
int64
name
:
optional
string
Error
=
object
{
id
,
message
}
id
:
string
Machine-readable error code
message
:
string
Human-readable error message
ErrorResponse
=
object
{
error
}
error
:
Error
{
id
,
message
}
id
:
string
Machine-readable error code
message
:
string
Human-readable error message
Pet
=
object
{
name
,
photoUrls
,
id
,
3 more
}
name
:
string
photoUrls
:
array of
string
id
:
optional
number
format
int64
category
:
optional
Category
{
id
,
name
}
id
:
optional
number
format
int64
name
:
optional
string
status
:
optional
"available"
or
"pending"
or
"sold"
pet status in the store
Accepts one of the following:
"available"
"pending"
"sold"
tags
:
optional
array of
Tag
{
id
,
name
}
id
:
optional
number
format
int64
name
:
optional
string
Tag
=
object
{
id
,
name
}
id
:
optional
number
format
int64
name
:
optional
string